/// <reference types="react" />
import type { CSSFuncProps, SeriesPoint, Shape } from '../../types';
import { ScatterSeriesProps } from './ScatterSeries';
export interface LineSeriesProps<T extends SeriesPoint = SeriesPoint> extends Omit<ScatterSeriesProps<T>, 'markerShape' | 'lineStyle' | 'displayLines'> {
    data: ReadonlyArray<T>;
    markerShape?: Shape;
    lineStyle?: CSSFuncProps<{
        id: string;
    }>;
}
declare function LineSeriesInner<T extends SeriesPoint = SeriesPoint>(props: LineSeriesProps<T>): JSX.Element | null;
export declare const LineSeries: import("react").MemoExoticComponent<typeof LineSeriesInner>;
export {};
//# sourceMappingURL=LineSeries.d.ts.map